curl --request GET \
--url https://{organization}.data.credibledata.com/api/v0/projects \
--header 'Authorization: Bearer <token>'[
{
"resource": "<string>",
"name": "<string>",
"readme": "<string>",
"location": "<string>",
"connections": [
{
"resource": "<string>",
"name": "<string>",
"type": "postgres",
"attributes": {
"dialectName": "<string>",
"isPool": true,
"canPersist": true,
"canStream": true
},
"postgresConnection": {
"host": "<string>",
"port": 123,
"databaseName": "<string>",
"userName": "<string>",
"password": "<string>",
"connectionString": "<string>"
},
"bigqueryConnection": {
"defaultProjectId": "<string>",
"billingProjectId": "<string>",
"location": "<string>",
"serviceAccountKeyJson": "<string>",
"maximumBytesBilled": "<string>",
"queryTimeoutMilliseconds": "<string>"
},
"snowflakeConnection": {
"account": "<string>",
"username": "<string>",
"password": "<string>",
"privateKey": "<string>",
"privateKeyPass": "<string>",
"warehouse": "<string>",
"database": "<string>",
"schema": "<string>",
"role": "<string>",
"responseTimeoutMilliseconds": 123
},
"trinoConnection": {
"server": "<string>",
"port": 123,
"catalog": "<string>",
"schema": "<string>",
"user": "<string>",
"password": "<string>",
"peakaKey": "<string>"
},
"mysqlConnection": {
"host": "<string>",
"port": 123,
"database": "<string>",
"user": "<string>",
"password": "<string>"
},
"duckdbConnection": {
"attachedDatabases": [
{
"name": "test_connection, _connection, test_connection_1",
"type": "bigquery",
"attributes": {
"dialectName": "<string>",
"isPool": true,
"canPersist": true,
"canStream": true
},
"bigqueryConnection": {
"defaultProjectId": "<string>",
"billingProjectId": "<string>",
"location": "<string>",
"serviceAccountKeyJson": "<string>",
"maximumBytesBilled": "<string>",
"queryTimeoutMilliseconds": "<string>"
},
"snowflakeConnection": {
"account": "<string>",
"username": "<string>",
"password": "<string>",
"privateKey": "<string>",
"privateKeyPass": "<string>",
"warehouse": "<string>",
"database": "<string>",
"schema": "<string>",
"role": "<string>",
"responseTimeoutMilliseconds": 123
},
"postgresConnection": {
"host": "<string>",
"port": 123,
"databaseName": "<string>",
"userName": "<string>",
"password": "<string>",
"connectionString": "<string>"
},
"gcsConnection": {
"keyId": "<string>",
"secret": "<string>"
},
"s3Connection": {
"accessKeyId": "<string>",
"secretAccessKey": "<string>",
"region": "us-east-1",
"endpoint": "<string>",
"sessionToken": "<string>"
},
"azureConnection": {
"authType": "service_principal",
"sasUrl": "<string>",
"tenantId": "<string>",
"clientId": "<string>",
"clientSecret": "<string>",
"accountName": "<string>",
"fileUrl": "<string>"
}
}
]
},
"motherduckConnection": {
"accessToken": "<string>",
"database": "<string>"
},
"ducklakeConnection": {
"storage": {
"bucketUrl": "<string>",
"s3Connection": {
"accessKeyId": "<string>",
"secretAccessKey": "<string>",
"region": "us-east-1",
"endpoint": "<string>",
"sessionToken": "<string>"
},
"gcsConnection": {
"keyId": "<string>",
"secret": "<string>"
}
},
"catalog": {
"postgresConnection": {
"host": "<string>",
"port": 123,
"databaseName": "<string>",
"userName": "<string>",
"password": "<string>",
"connectionString": "<string>"
}
}
}
}
],
"packages": [
{
"resource": "<string>",
"name": "<string>",
"description": "<string>",
"location": "<string>"
}
]
}
]Retrieves a list of all projects currently hosted on this Malloy Publisher server. Each project contains metadata about its packages, connections, and configuration. This endpoint is typically used to discover available projects and their basic information.
curl --request GET \
--url https://{organization}.data.credibledata.com/api/v0/projects \
--header 'Authorization: Bearer <token>'[
{
"resource": "<string>",
"name": "<string>",
"readme": "<string>",
"location": "<string>",
"connections": [
{
"resource": "<string>",
"name": "<string>",
"type": "postgres",
"attributes": {
"dialectName": "<string>",
"isPool": true,
"canPersist": true,
"canStream": true
},
"postgresConnection": {
"host": "<string>",
"port": 123,
"databaseName": "<string>",
"userName": "<string>",
"password": "<string>",
"connectionString": "<string>"
},
"bigqueryConnection": {
"defaultProjectId": "<string>",
"billingProjectId": "<string>",
"location": "<string>",
"serviceAccountKeyJson": "<string>",
"maximumBytesBilled": "<string>",
"queryTimeoutMilliseconds": "<string>"
},
"snowflakeConnection": {
"account": "<string>",
"username": "<string>",
"password": "<string>",
"privateKey": "<string>",
"privateKeyPass": "<string>",
"warehouse": "<string>",
"database": "<string>",
"schema": "<string>",
"role": "<string>",
"responseTimeoutMilliseconds": 123
},
"trinoConnection": {
"server": "<string>",
"port": 123,
"catalog": "<string>",
"schema": "<string>",
"user": "<string>",
"password": "<string>",
"peakaKey": "<string>"
},
"mysqlConnection": {
"host": "<string>",
"port": 123,
"database": "<string>",
"user": "<string>",
"password": "<string>"
},
"duckdbConnection": {
"attachedDatabases": [
{
"name": "test_connection, _connection, test_connection_1",
"type": "bigquery",
"attributes": {
"dialectName": "<string>",
"isPool": true,
"canPersist": true,
"canStream": true
},
"bigqueryConnection": {
"defaultProjectId": "<string>",
"billingProjectId": "<string>",
"location": "<string>",
"serviceAccountKeyJson": "<string>",
"maximumBytesBilled": "<string>",
"queryTimeoutMilliseconds": "<string>"
},
"snowflakeConnection": {
"account": "<string>",
"username": "<string>",
"password": "<string>",
"privateKey": "<string>",
"privateKeyPass": "<string>",
"warehouse": "<string>",
"database": "<string>",
"schema": "<string>",
"role": "<string>",
"responseTimeoutMilliseconds": 123
},
"postgresConnection": {
"host": "<string>",
"port": 123,
"databaseName": "<string>",
"userName": "<string>",
"password": "<string>",
"connectionString": "<string>"
},
"gcsConnection": {
"keyId": "<string>",
"secret": "<string>"
},
"s3Connection": {
"accessKeyId": "<string>",
"secretAccessKey": "<string>",
"region": "us-east-1",
"endpoint": "<string>",
"sessionToken": "<string>"
},
"azureConnection": {
"authType": "service_principal",
"sasUrl": "<string>",
"tenantId": "<string>",
"clientId": "<string>",
"clientSecret": "<string>",
"accountName": "<string>",
"fileUrl": "<string>"
}
}
]
},
"motherduckConnection": {
"accessToken": "<string>",
"database": "<string>"
},
"ducklakeConnection": {
"storage": {
"bucketUrl": "<string>",
"s3Connection": {
"accessKeyId": "<string>",
"secretAccessKey": "<string>",
"region": "us-east-1",
"endpoint": "<string>",
"sessionToken": "<string>"
},
"gcsConnection": {
"keyId": "<string>",
"secret": "<string>"
}
},
"catalog": {
"postgresConnection": {
"host": "<string>",
"port": 123,
"databaseName": "<string>",
"userName": "<string>",
"password": "<string>",
"connectionString": "<string>"
}
}
}
}
],
"packages": [
{
"resource": "<string>",
"name": "<string>",
"description": "<string>",
"location": "<string>"
}
]
}
]Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
A list of all available projects
Resource path to the project
Project name
Project README content
Project location, can be an absolute path or URI (e.g. github, s3, gcs, etc.)
List of database connections configured for this project
Show child attributes
List of Malloy packages in this project
Show child attributes
Was this page helpful?